package org.eclipse.app.ui;

import org.eclipse.contributor.ui.MyController;

import javafx.fxml.FXML;
import javafx.scene.layout.VBox;

public class ExampleController {

	/**
	 * This "implied" variable is never initialized
	 * @see https://wiki.eclipse.org/Efxclipse/Tooling/FXGraph#Referencing_other_FXGraph_files
	 */
	@FXML
	MyController myController;
	
	/**
	 * This works just fine
	 */
	@FXML
	VBox world;
	
	@FXML
	public void initialize() {
		if ( myController == null ) {
			System.out.println("The implied variable 'myController' has not been initialized");
		}
		else {
			System.out.println("I'm doing something wrong because this doesn't work in the real application");
		}
		
		if ( world == null ) {
			System.out.println("world variable should have been initialized but it wasn't");
		}
		else {
			System.out.println("world variable was initialized");
		}
	}	
}
